| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::GeneralizedHoughGuil Class Referenceabstract
Image Processing » Structural Analysis and Shape Descriptors

finds arbitrary template in the grayscale image using Generalized Hough Transform More...

`#include <opencv2/imgproc.hpp>`

Collaboration diagram for cv::GeneralizedHoughGuil:

## Public Member Functions
virtual double | getAngleEpsilon () const =0
virtual double | getAngleStep () const =0
virtual int | getAngleThresh () const =0
virtual int | getLevels () const =0
virtual double | getMaxAngle () const =0
virtual double | getMaxScale () const =0
virtual double | getMinAngle () const =0
virtual double | getMinScale () const =0
virtual int | getPosThresh () const =0
virtual double | getScaleStep () const =0
virtual int | getScaleThresh () const =0
virtual double | getXi () const =0
virtual void | setAngleEpsilon (double angleEpsilon)=0
| Maximal difference between angles that treated as equal.
virtual void | setAngleStep (double angleStep)=0
| Angle step in degrees.
virtual void | setAngleThresh (int angleThresh)=0
| Angle votes threshold.
virtual void | setLevels (int levels)=0
| Feature table levels.
virtual void | setMaxAngle (double maxAngle)=0
| Maximal rotation angle to detect in degrees.
virtual void | setMaxScale (double maxScale)=0
| Maximal scale to detect.
virtual void | setMinAngle (double minAngle)=0
| Minimal rotation angle to detect in degrees.
virtual void | setMinScale (double minScale)=0
| Minimal scale to detect.
virtual void | setPosThresh (int posThresh)=0
| Position votes threshold.
virtual void | setScaleStep (double scaleStep)=0
| Scale step.
virtual void | setScaleThresh (int scaleThresh)=0
| Scale votes threshold.
virtual void | setXi (double xi)=0
| Angle difference in degrees between two points in feature.
Public Member Functions inherited from cv::GeneralizedHough
virtual void | detect (InputArray edges, InputArray dx, InputArray dy, OutputArray positions, OutputArray votes=noArray())=0
virtual void | detect (InputArray image, OutputArray positions, OutputArray votes=noArray())=0
| find template on image
virtual int | getCannyHighThresh () const =0
virtual int | getCannyLowThresh () const =0
virtual double | getDp () const =0
virtual int | getMaxBufferSize () const =0
virtual double | getMinDist () const =0
virtual void | setCannyHighThresh (int cannyHighThresh)=0
| Canny high threshold.
virtual void | setCannyLowThresh (int cannyLowThresh)=0
| Canny low threshold.
virtual void | setDp (double dp)=0
| Inverse ratio of the accumulator resolution to the image resolution.
virtual void | setMaxBufferSize (int maxBufferSize)=0
| Maximal size of inner buffers.
virtual void | setMinDist (double minDist)=0
| Minimum distance between the centers of the detected objects.
virtual void | setTemplate (InputArray edges, InputArray dx, InputArray dy, Point templCenter=Point(-1, -1))=0
virtual void | setTemplate (InputArray templ, Point templCenter=Point(-1, -1))=0
| set template to search
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

finds arbitrary template in the grayscale image using Generalized Hough Transform

Detects position, translation and rotation [115] .

## Member Function Documentation

## ◆ getAngleEpsilon()

virtual double cv::GeneralizedHoughGuil::getAngleEpsilon | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHoughGuil.getAngleEpsilon( |  | ) -> | retval

## ◆ getAngleStep()

virtual double cv::GeneralizedHoughGuil::getAngleStep | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHoughGuil.getAngleStep( |  | ) -> | retval

## ◆ getAngleThresh()

virtual int cv::GeneralizedHoughGuil::getAngleThresh | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHoughGuil.getAngleThresh( |  | ) -> | retval

## ◆ getLevels()

virtual int cv::GeneralizedHoughGuil::getLevels | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHoughGuil.getLevels( |  | ) -> | retval

## ◆ getMaxAngle()

virtual double cv::GeneralizedHoughGuil::getMaxAngle | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHoughGuil.getMaxAngle( |  | ) -> | retval

## ◆ getMaxScale()

virtual double cv::GeneralizedHoughGuil::getMaxScale | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHoughGuil.getMaxScale( |  | ) -> | retval

## ◆ getMinAngle()

virtual double cv::GeneralizedHoughGuil::getMinAngle | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHoughGuil.getMinAngle( |  | ) -> | retval

## ◆ getMinScale()

virtual double cv::GeneralizedHoughGuil::getMinScale | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHoughGuil.getMinScale( |  | ) -> | retval

## ◆ getPosThresh()

virtual int cv::GeneralizedHoughGuil::getPosThresh | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHoughGuil.getPosThresh( |  | ) -> | retval

## ◆ getScaleStep()

virtual double cv::GeneralizedHoughGuil::getScaleStep | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHoughGuil.getScaleStep( |  | ) -> | retval

## ◆ getScaleThresh()

virtual int cv::GeneralizedHoughGuil::getScaleThresh | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHoughGuil.getScaleThresh( |  | ) -> | retval

## ◆ getXi()

virtual double cv::GeneralizedHoughGuil::getXi | ( |  | ) | const
| pure virtual

Python:
| cv.GeneralizedHoughGuil.getXi( |  | ) -> | retval

## ◆ setAngleEpsilon()

virtual void cv::GeneralizedHoughGuil::setAngleEpsilon | ( | double | angleEpsilon | ) |
| pure virtual

Python:
| cv.GeneralizedHoughGuil.setAngleEpsilon( | angleEpsilon | ) -> | None

Maximal difference between angles that treated as equal.

## ◆ setAngleStep()

virtual void cv::GeneralizedHoughGuil::setAngleStep | ( | double | angleStep | ) |
| pure virtual

Python:
| cv.GeneralizedHoughGuil.setAngleStep( | angleStep | ) -> | None

Angle step in degrees.

## ◆ setAngleThresh()

virtual void cv::GeneralizedHoughGuil::setAngleThresh | ( | int | angleThresh | ) |
| pure virtual

Python:
| cv.GeneralizedHoughGuil.setAngleThresh( | angleThresh | ) -> | None

Angle votes threshold.

## ◆ setLevels()

virtual void cv::GeneralizedHoughGuil::setLevels | ( | int | levels | ) |
| pure virtual

Python:
| cv.GeneralizedHoughGuil.setLevels( | levels | ) -> | None

Feature table levels.

## ◆ setMaxAngle()

virtual void cv::GeneralizedHoughGuil::setMaxAngle | ( | double | maxAngle | ) |
| pure virtual

Python:
| cv.GeneralizedHoughGuil.setMaxAngle( | maxAngle | ) -> | None

Maximal rotation angle to detect in degrees.

## ◆ setMaxScale()

virtual void cv::GeneralizedHoughGuil::setMaxScale | ( | double | maxScale | ) |
| pure virtual

Python:
| cv.GeneralizedHoughGuil.setMaxScale( | maxScale | ) -> | None

Maximal scale to detect.

## ◆ setMinAngle()

virtual void cv::GeneralizedHoughGuil::setMinAngle | ( | double | minAngle | ) |
| pure virtual

Python:
| cv.GeneralizedHoughGuil.setMinAngle( | minAngle | ) -> | None

Minimal rotation angle to detect in degrees.

## ◆ setMinScale()

virtual void cv::GeneralizedHoughGuil::setMinScale | ( | double | minScale | ) |
| pure virtual

Python:
| cv.GeneralizedHoughGuil.setMinScale( | minScale | ) -> | None

Minimal scale to detect.

## ◆ setPosThresh()

virtual void cv::GeneralizedHoughGuil::setPosThresh | ( | int | posThresh | ) |
| pure virtual

Python:
| cv.GeneralizedHoughGuil.setPosThresh( | posThresh | ) -> | None

Position votes threshold.

## ◆ setScaleStep()

virtual void cv::GeneralizedHoughGuil::setScaleStep | ( | double | scaleStep | ) |
| pure virtual

Python:
| cv.GeneralizedHoughGuil.setScaleStep( | scaleStep | ) -> | None

Scale step.

## ◆ setScaleThresh()

virtual void cv::GeneralizedHoughGuil::setScaleThresh | ( | int | scaleThresh | ) |
| pure virtual

Python:
| cv.GeneralizedHoughGuil.setScaleThresh( | scaleThresh | ) -> | None

Scale votes threshold.

## ◆ setXi()

virtual void cv::GeneralizedHoughGuil::setXi | ( | double | xi | ) |
| pure virtual

Python:
| cv.GeneralizedHoughGuil.setXi( | xi | ) -> | None

Angle difference in degrees between two points in feature.

The documentation for this class was generated from the following file:

- opencv2/imgproc.hpp